# vim:ts=4 sw=4 sts=4 ai si et sta
from __future__ import print_function
from __future__ import unicode_literals
from __future__ import absolute_import
from __future__ import division

from ionas.request import XmlConfNode as Node


def node_to_dict(_node):
    _dict = {}
    _dict['connection_id'] = _node.get_value('connection/id')
    _dict['folder'] = _node.get_value('folder')
    _dict['subdir'] = _node.get_value('subdir')
    return _dict

def dict_to_node(_dict, tagname):
    _node = Node(tagname)
    _node.append_child('connection')
    _node.get_node('connection').append_child(
        'id',
        text=_dict['connection_id'],
    )
    _node.append_child('folder', text=_dict['folder'])
    _node.append_child('subdir', text=_dict['subdir'])
    return _node
